Bug 378421 - Review Request: starplot - 3-dimensional perspective star map viewer
Review Request: starplot - 3-dimensional perspective star map viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 13:23 EST by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 22:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-11-12 13:23:21 EST
Spec URL: http://rishi.fedorapeople.org/starplot.spec
SRPM URL: http://rishi.fedorapeople.org/starplot-0.95.4-1.fc8.src.rpm


Description:

StarPlot is a GTK+ based program, written in C++, which can be used
interactively to view three-dimensional perspective charts of stars.
Comment 1 Debarshi Ray 2007-11-12 13:25:18 EST
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=237273
Comment 2 Mamoru TASAKA 2007-11-16 07:51:01 EST
For 0.95.4-1:

* webbrowser
  - From dist-f8-updates-candidate i386 build.log:
----------------------------------------------------------
   213  checking for pkg-config... yes
   214  checking for /usr/bin/xdg-open... no
   215  checking for pkg-config... /usr/bin/pkg-config
----------------------------------------------------------
    It seems BROWSER is not set due to this (around
    lines 11911-11964 of configure)

    When I
    - launch starplot
    - Choose Help -> StarPlot Web Page
    a dialog appears to select web browser.

* Documentation directory
-----------------------------------------------------------
   298  Making all in doc
   299  make[2]: Entering directory `/builddir/build/BUILD/starplot-0.95.4/doc'
   300  sed -e s,DOCDIR,/usr/doc/starplot,g -e s,DATADIR,/usr/share/starplot,g
../doc/man/starplot.man > starplot.1
   301  sed -e s,DOCDIR,/usr/doc/starplot,g -e s,DATADIR,/usr/share/starplot,g
../doc/man/starconvert.man > starconvert.1
   302  sed -e s,DOCDIR,/usr/doc/starplot,g -e s,DATADIR,/usr/share/starplot,g
../doc/man/starpkg.man > starpkg.1
   303  make[2]: Leaving directory `/builddir/build/BUILD/starplot-0.95.4/doc'
   304  Making all in lib
-----------------------------------------------------------
  - The directory /usr/doc/starplot is wrong.
  - Also, "grep -r DOCDIR ." shows:
-----------------------------------------------------------
./doc/Makefile.am:SUBST = -e s,DOCDIR,$(pkgdocdir),g -e s,DATADIR,$(pkgdatadir),g
./doc/Makefile.in:SUBST = -e s,DOCDIR,$(pkgdocdir),g -e s,DATADIR,$(pkgdatadir),g
.............
./src/gui/menuops.cc:{ openurl("file://" DOCDIR "/html/index.html"); }
-----------------------------------------------------------
    Here Choose Help -> Documentation tries to open 
    /usr/doc/starplot/html/index.html.

* Desktop file
  - Desktop file is needed at least for starplot binary.
Comment 3 Mamoru TASAKA 2007-11-16 07:52:43 EST
By the way I would appreciate it if you would review
one of my review requests (bug 380081 and bug 380091)
Comment 4 Debarshi Ray 2007-11-16 23:07:23 EST
(In reply to comment #2)

> * webbrowser
>
> [...]
>
> * Documentation directory
>
> [...]
>
> * Desktop file
> 
> [...]

All fixed.

Spec: http://rishi.fedorapeople.org/starplot.spec
SRPM: http://rishi.fedorapeople.org/starplot-0.95.4-2.fc8.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=245706

Comment 5 Mamoru TASAKA 2007-11-17 06:26:25 EST
Actually all fixed.

-------------------------------------------------------------
     This package (starplot) is APPROVED by me
-------------------------------------------------------------
Comment 6 Debarshi Ray 2007-11-17 06:52:18 EST
New Package CVS Request
=======================
Package Name: starplot
Short Description: 3-dimensional perspective star map viewer
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 7 Kevin Fenzi 2007-11-17 20:18:38 EST
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.